Subject: bug#48260: closed (Re: phodav-2.5.drv' failed with exit code 1)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 May 2021 16:35:02 +0000

Your bug report

#48414: phodav fails to install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48414: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48414
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: phodav-2.5.drv' failed with exit code 1
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: Solène Rapenne <[email-masked]>
Date: Thu, 27 May 2021 18:34:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Solene wrote:
> I was able to reproduce the build issue, it get fixed with these 
> changes

Thank you, Solene!  Indeed it did.

I
- added a commit message matching our conventions[0],
- moved g-s-d to native-inputs
- pushed your patch as commit 
  847af45d0eba726418482b1b146a5ece2dbbb2c2.

With that, I'm closing this bug,

T G-R

[0]: 
<https://guix.gnu.org/manual/devel/en/guix.html#Submitting-Patches> 
which links to 
<https://www.gnu.org/prep/standards/standards.html#Change-Logs>, 
but note that we've evolved our own style within the genre over 
the years.  I recommend simply reading the commit log to 
internalise it.

Subject: phodav fails to install
From: rdes <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 06 May 2021 16:49:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I updated /etc/config.scm to include phodav, but when I run `guix system reconfigure /etc/config.scm` it fails a test.

version: guixsd f47b8b3

/etc/config.scm Change:
(packages
(append
(map specification->package '("nss-certs" "phodav"))
%base-packages))

error message (log attached):

# Start of GET tests
Bail out! GLib-GIO-FATAL-ERROR: No GSettings schemas are installed on the system
--- stderr ---
Failed to listen on port 8080: Could not listen on address 0.0.0.0, port 8080: Error binding to address: Address already in use

(/tmp/guix-build-phodav-2.5.drv-0/build/tests/test-virtual-dir:279): GLib-GIO-ERROR **: 01:41:50.963: No GSettings schemas are installed on the system

Ryan

Sent with [ProtonMail](https://protonmail.com) Secure Email.